---
title: "Import template from DocuSign"
url: "https://docs.signnow.com/docs/template/operations/post-import-document-templates"
type: "endpoint"
section: "template"
slug: "template/operations/post-import-document-templates"
method: "POST"
path: "/import/document-templates"
operation_id: "post-import-document-templates"
authorization: "bearer"
---

# Import template from DocuSign

`POST /import/document-templates`

Upload a zip file containing JSON from DocuSign as a template to the user’s account and receive a unique template ID.

**How to download a template from DocuSign as a zip file**

1. Log in to your DocuSign account and go to the **Templates** tab.
2. Select the template you’d like to download and click **Use** > **Download** next to it.
3. The template will be downloaded to your device in ZIP format.

*Note*: To download multiple DocuSign templates at once, select all the templates you need and click **More** > **Download** in the action panel above your templates.

## Authorization

bearer

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-type` | string | No | multipart/form-data |

## Form Data Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `file` | string | No | @your-file.zip |

## Responses

### 200

List of created document templates

**Example** (`example-1`)

```json
[
  {
    "file_size": 12345,
    "document_id": "f38b14c3da4aad10beee7fd76074ab7f08c57759",
    "document_name": "document name 1"
  },
  {
    "file_size": 12345,
    "document_id": "45b21ec8a9e7c18fba33cd4cbba72c9c3925ff62",
    "document_name": "document name 2"
  },
  {
    "file_size": null,
    "document_id": null,
    "document_name": "document name 3",
    "processing_error": "Data does not contain valid json'"
  }
]
```

**Example** (`Created document templates`)

```json
[
  {
    "file_size": 12345,
    "document_id": "f3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "document_name": "document name 1"
  },
  {
    "file_size": 12345,
    "document_id": "45XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "document_name": "document name 2"
  },
  {
    "file_size": null,
    "document_id": null,
    "document_name": "document name 3",
    "processing_error": "Data does not contain valid json'"
  }
]
```

### 400

* No file in the request: 65536
  Message: "Must upload one file"
* File size more than 50 MB: 65580
  Message: "File is too big."
* Using the file with incorrect file type (must be application/json in a zip file): 65578
  Message: "Invalid file type."  
* Request with any of these cases: 
  - invalid token of user
  - expired token of user
  - empty header
  - authorization = null  
  Message: 1537, "invalid_token"  
* Something wrong with generating document dimensions: 21001101
  Message: "PdfProcessor. Couldn't get dimensions"  


**Example** (`Authorization`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`No file in the request`)

```json
{
  "code": 65536,
  "message": "Must upload one file"
}
```

**Example** (`File size more than 50 MB`)

```json
{
  "code": 65580,
  "message": "File is too big."
}
```

**Example** (`Using the file with incorrect file type`)

```json
{
  "code": 65578,
  "message": "Invalid file type."
}
```

**Example** (`Something wrong with generating document dimensions`)

```json
{
  "code": 21001101,
  "message": "PdfProcessor. Couldn't get dimensions"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/import/document-templates" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/template/operations/post-import-document-templates*
